Sazabi
APIAutomations

List automation templates

List the published Sazabi automation template catalog. Metadata only; template content (script bodies and prompts) is not exposed.

GET https://api.sazabi.com/v1/automation-templates

GET
/automation-templates

Response Body

application/json

curl -X GET "https://example.com/automation-templates"
{  "templates": [    {      "id": "string",      "templateGroup": "string",      "kind": "script",      "name": "string",      "description": "string",      "prerequisites": [        {          "anyOf": [            {              "kind": "log_source",              "key": "string"            }          ]        }      ],      "inputSchema": {        "property1": {          "type": "string",          "required": true,          "default": "string"        },        "property2": {          "type": "string",          "required": true,          "default": "string"        }      },      "defaultCron": "string",      "version": -9007199254740991,      "publishedAt": "2019-08-24T14:15:22Z"    }  ]}